﻿//-----------------------------------------------
//TUSB-S01SWx用ドライバアクセス用API
//Visual C# 用モジュール
//
//2013_10_22　株式会社タートル工業
//Copyright (C) 2013 Turtle Industry Co.,Ltd.
//-----------------------------------------------

using System.Runtime.InteropServices;

class TUSBSSW
{
    //API関数宣言

    [DllImport("TUSBSSW.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short Tusbs01sw_Device_Open( short id);
    [DllImport("TUSBSSW.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern void Tusbs01sw_Device_Close( short id);
    [DllImport("TUSBSSW.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short Tusbs01sw_Out( short id, byte OnOff);
    [DllImport("TUSBSSW.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short Tusbs01sw_In( short id, out byte OnOff);

    public static string GetErrMessage(short retcode)
    {
        switch (retcode)
        {
            case 0:
                return "正常終了しました";
            case 1:
                return "ID番号が不正です";
            case 2:
                return "ドライバがインストールされていません";
            case 3:
                return "すでにデバイスはオープンされています";
            case 4:
                return "接続されている台数が多すぎます";
            case 5:
                return "オープンできませんでした";
            case 6:
                return "デバイスがみつかりません";
            case 7:
                return "オープンされていません";
            case 8:
                return "パラメータエラー";
            case 9:
                return "USB通信エラーです";
            default:
                return "不明なエラーです";
        }
    }
}
