﻿Public Class Form1
    Const DevId As Short = 0 '装置のID番号(デフォルトは0)

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim ErrCode As Short
        ErrCode = Tusbs01sw_Device_Open(DevId)
        If ErrCode <> 0 Then 'デバイスオープン
            MessageBox.Show(Tusbs01sw_GetErrMessage(ErrCode)) 'エラー発生
            Me.Close()
        Else
            Timer1.Enabled = True
        End If
    End Sub

    Private Sub Form1_FormClosed(sender As System.Object, e As System.Windows.Forms.FormClosedEventArgs) Handles MyBase.FormClosed
        Tusbs01sw_Device_Close(DevId) 'デバイスクローズ
    End Sub

    Private Sub RelayOn_Click(sender As System.Object, e As System.EventArgs) Handles RelayOn.Click
        Dim ErrCode As Short
        ErrCode = Tusbs01sw_Out(DevId, 1) 'On(1)出力
        If ErrCode <> 0 Then
            MessageBox.Show(Tusbs01sw_GetErrMessage(ErrCode)) 'エラー発生
        End If
    End Sub

    Private Sub RelayOff_Click(sender As System.Object, e As System.EventArgs) Handles RelayOff.Click
        Dim ErrCode As Short
        ErrCode = Tusbs01sw_Out(DevId, 0) 'Off(0)出力
        If ErrCode <> 0 Then
            MessageBox.Show(Tusbs01sw_GetErrMessage(ErrCode)) 'エラー発生
        End If
    End Sub

    Private Sub Timer1_Tick(sender As System.Object, e As System.EventArgs) Handles Timer1.Tick
        Dim OnOff As Byte
        Dim ErrCode As Short

        ErrCode = Tusbs01sw_In(DevId, OnOff) 'スイッチ状態読み込み
        If ErrCode <> 0 Then
            MessageBox.Show(Tusbs01sw_GetErrMessage(ErrCode)) 'エラー発生
            Me.Close()
        Else
            If OnOff = 0 Then
                Picture1.Image = ImageList1.Images(1)
            Else
                Picture1.Image = ImageList1.Images(0)
            End If
        End If
    End Sub
End Class
