﻿'-----------------------------------------------
'TUSB-S01SWx用ドライバアクセス用API
'Visual Basic 標準モジュール
'
'2013_10_22　株式会社タートル工業
'Copyright (C) 2013 Turtle Industry Co.,Ltd.
'-----------------------------------------------
Option Strict Off
Option Explicit On

Imports System.Runtime.InteropServices

Module TUSBSSW
    'API関数宣言
    <DllImport("TUSBSSW.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01sw_Device_Open( _
                                ByVal id As Short) _
                            As Short
    End Function
    <DllImport("TUSBSSW.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Sub Tusbs01sw_Device_Close( _
                                ByVal id As Short)
    End Sub
    <DllImport("TUSBSSW.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01sw_Out( _
                          ByVal id As Short, _
                          ByVal OnOff As Byte) _
                            As Short
    End Function
    <DllImport("TUSBSSW.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01sw_In( _
                          ByVal id As Short, _
                          ByRef OnOff As Byte) _
                            As Short
    End Function

    'エラーメッセージ出力
    Function Tusbs01sw_GetErrMessage(ByVal retcode As Short) As String
        Select Case retcode
            Case 0
                Return "正常終了しました"
            Case 1
                Return "ID番号が不正です"
            Case 2
                Return "ドライバがインストールされていません"
            Case 3
                Return "すでにデバイスはオープンされています"
            Case 4
                Return "接続されている台数が多すぎます"
            Case 5
                Return "オープンできませんでした"
            Case 6
                Return "デバイスがみつかりません"
            Case 7
                Return "オープンされていません"
            Case 8
                Return "パラメータエラー"
            Case 9
                Return "USB通信エラーです"
            Case Else
                Return "不明なエラーです"
        End Select
    End Function
End Module
